
Smart Proxy - Bug #9102

When trusted hosts is enabled, remote hosts cannot access templates

01/25/2015 12:28 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.7.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The default is now :trusted_hosts setting enabled, but this limits which hosts can access provisioning templates.  Perhaps some

module setting like "allow_all" might be useful to let modules say whether trusted_hosts should be used or not?

Associated revisions

Revision 722a6b15 - 01/27/2015 07:41 AM - Stephen Benjamin 

fixes #9102 - remove trusted_hosts check from templates module

History

#1 - 01/26/2015 04:34 AM - Dominic Cleal

The trusted_hosts helper is optional, the module is explicitly enabling it.

#2 - 01/26/2015 05:03 AM - Stephen Benjamin

Yea, I'll disable it in the Katello Capsule, but I'd prefer to leave it on for everything but the templates plugin.

#3 - 01/28/2015 04:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 722a6b15d9f4aab356ac6b7fe3e7d50599433fbe.

#4 - 01/28/2015 04:40 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 32
